Skip to main content

Get Commcell Events

This operation returns a list of CommCell events.

More Details

Event Codes

Query Parameters
  • showInfo boolean

    Default value: true

    Set as False to filter out informational events.

  • showMinor boolean

    Default value: true

    Set as False to filter out minor events.

  • showMajor boolean

    Default value: true

    Set as False to filter out major events.

  • showCritical boolean

    Default value: true

    Set as False to filter out critical events.

  • fromTime string

    Start of time range (Unix timestamp UTC) eg:1704359017

  • toTime string

    End of time range (Unix timestamp UTC) eg:1704445417

  • jobId string

    Filter events for a specific job ID

  • clientId string

    Filter events for a specific client ID

Header Parameters
  • paginginfo string

    Controls pagination of results; Format: offset, limit ; eg: 0,1000 (Returns latest 1000 entries )

Responses

OK


Schema
  • commservEvents object[]
  • severity integer

    The severity level of each event. Valid values are: 0 (Information), 3 (Minor), 6 (Major), 9 (Critical)

  • eventCode string

    The ID assigned to the category of event.

  • jobId integer

    The system-generated ID assigned to the job. Will be present if the event is associated to a job

  • acknowledge integer

    Indicates if the event has been acknowledged.

  • eventCodeString string

    String representation of the event code. Check description.

  • subsystem string

    The subsystem that generated the event, for example, JobManager.

  • description string

    The description of the event. For example, "Data Aging operation has completed".

  • id integer

    The system-generated ID assigned to a particular instance of an event.

  • timeSource integer

    The time the event happened. Valid values are UNIX-style timestamps (seconds since January 1, 1970 UTC).

  • type integer

    The type of the event.

  • clientEntity object
  • clientId integer

    The system-generated ID assigned to the client.

  • clientName string

    The name of the client.

Loading...